- @no_container = true
- page_title @tag.name, "标签"
= render "projects/commits/head"

%div{ class: container_class }
  .top-area.multi-line
    .nav-text
      .title
        %span.item-title= @tag.name
        - if protected_tag?(@project, @tag)
          %span.label.label-success
            protected
      - if @commit
        = render 'projects/branches/commit', commit: @commit, project: @project
      - else
        无法找到该标签的 HEAD 提交

    .nav-controls.controls-flex
      - if can?(current_user, :push_code, @project)
        = link_to edit_namespace_project_tag_release_path(@project.namespace, @project, @tag.name), class: 'btn controls-item has-tooltip', title: '编辑发布备注' do
          = icon("pencil")
      = link_to namespace_project_tree_path(@project.namespace, @project, @tag.name), class: 'btn controls-item has-tooltip', title: '浏览文件' do
        = icon('files-o')
      = link_to namespace_project_commits_path(@project.namespace, @project, @tag.name), class: 'btn controls-item has-tooltip', title: '浏览提交' do
        = icon('history')
      .btn-container.controls-item
        = render 'projects/buttons/download', project: @project, ref: @tag.name
      - if can?(current_user, :admin_project, @project)
        .btn-container.controls-item-full
          = link_to namespace_project_tag_path(@project.namespace, @project, @tag.name), class: "btn btn-remove remove-row has-tooltip #{protected_tag?(@project, @tag) ? 'disabled' : ''}", title: "删除标签", method: :delete, data: { confirm: "删除标签 '#{@tag.name}' 无法恢复，确认继续？" } do
            %i.fa.fa-trash-o

    - if @tag.message.present?
      %pre.wrap
        = strip_gpg_signature(@tag.message)

  .append-bottom-default.prepend-top-default
    - if @release.description.present?
      .description
        .wiki
          = preserve do
            = markdown_field(@release, :description)
    - else
      此标签无发布备注。
